%define anolis_release 2
%global _lto_cflags %%{nil}

Name:           protobuf-c
Version:        1.4.1
Release:        %{anolis_release}%{?dist}
Summary:        C bindings for Google's Protocol Buffers

License:        BSD
URL:            https://github.com/protobuf-c/protobuf-c
Source0:        https://github.com/protobuf-c/protobuf-c/releases/download/v%{version}/%{name}-%{version}.tar.gz 

BuildRequires:  make gcc-c++ protobuf protobuf-devel
Requires:       pkgconfig(protobuf)

%description
Protocol Buffers are a way of encoding structured data in an efficient yet
extensible format. This package provides a code generator and run-time
libraries to use Protocol Buffers from pure C (not C++).

It uses a modified version of protoc called protoc-c.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package compiler
Summary:        Protocol Buffers C compiler
Requires:       %{name} = %{version}-%{release}

%description compiler
This package contains a modified version of the Protocol Buffers
compiler for the C programming language called protoc-c.

%package devel
Summary:        Protocol Buffers C headers and libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-compiler = %{version}-%{release}

%description devel
This package contains protobuf-c headers and libraries.

%prep
%autosetup


%build
%configure --disable-static
%make_build

%check
make check


%install
rm -rf $RPM_BUILD_ROOT
%make_install
rm -f $RPM_BUILD_ROOT/%{_libdir}/libprotobuf-c.la

%generate_compatibility_deps

%files
%dir %{abidir}
%{_libdir}/libprotobuf-c.so.*
%{abidir}/libprotobuf-c.dump
%license LICENSE

%files doc
%doc TODO ChangeLog

%files compiler
%{_bindir}/protoc-c
%{_bindir}/protoc-gen-c

%files devel
%dir %{_includedir}/google
%{_includedir}/protobuf-c/
%{_includedir}/google/protobuf-c/
%{_libdir}/libprotobuf-c.so
%{_libdir}/pkgconfig/libprotobuf-c.pc

%changelog
* Wed Mar 08 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 1.4.1-2
- Add abi file

* Thu Sep 22 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.1-1
- update to 1.4.1

* Tue Mar  8 2022 forrest_ly <flin@linux.alibaba.com> - 1.4.0-1
- Init for Anolis OS 23
